Subject: Re: bug#17945: 24.4.50; vc-git-annotate-command is too slow

From: Stefan Monnier <[email-masked]>
Date: Sat, 05 Jul 2014 12:15:40 -0400

>> It seems the -C -C options would slow down git hugely, making this
>> command almost useless.  Can we remove it from default option list?
> These options provide a feature, so we shouldn't simply remove them.

I think it makes sense to follow Git's defaults.

> Maybe we should provide a user option.

Indeed, vc-git-annotate-command should use (vc-switches 'git annotate).

        Stefan